<template>
    <el-dialog :visible="visible" :title="title" fullscreen append-to-body :before-close="handleClose" :destroy-on-close="destroy">
        <el-row :gutter="6">
            <el-col :span=" isMap ?12 :24">
                <el-card class="noScroll">
                    <slot name="form"></slot>
                </el-card>
            </el-col>
            <el-col :span="12" v-if="isMap">
                <el-card class="noScroll" style="overflow: hidden;">
                    <slot name="cesium"></slot>
                </el-card>
            </el-col>
        </el-row>
        <div slot="footer">
            <slot name="footer"></slot>
        </div>
    </el-dialog>
</template>

<script>
export default {
    props: {
        value: {
            type: Boolean,
            default: false
        },
        title: {
            type: String,
            default: ''
        },
        destroy:{
            type: Boolean,
            default: true
        },
        isMap:{
            type: Boolean,
            default: true
        }
    },
    data() {
        return {

        }
    },
    computed: {
        visible: {
            get: function() {
                return this.value
            },
            set: function(val) {
                this.$emit('input', val)
            }
        }
    },
    methods: {
        handleClose(done) {
            this.visible = false
            done()
        }
    }
}
</script>

<style scoped>
.noScroll{
    height: calc(100vh - 185px);
    overflow: auto;
    position: relative;
}
</style>
